/*
 * Quasseldroid - Quassel client for Android
 *
 * Copyright (c) 2024 Janne Mareike Koschinski
 * Copyright (c) 2024 The Quassel Project
 *
 * This program is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License version 3 as published
 * by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program. If not, see <http://www.gnu.org/licenses/>.
 */

import org.gradle.api.Plugin
import org.gradle.api.Project
import org.gradle.api.provider.Provider

class VersionConvention : Plugin<Project> {
  override fun apply(target: Project) {
    with(target) {
      version = git("describe", "--always", "--tags", "HEAD")
    }
  }

  private fun Project.git(vararg command: String): Provider<String> =
    providers.exec { commandLine("git", *command) }
      .standardOutput
      .asText
      .map { it.trim() }
}
