/*
 * libquassel
 * Copyright (c) 2021 Janne Mareike Koschinski
 *
 * This Source Code Form is subject to the terms of the Mozilla Public License,
 * v. 2.0. If a copy of the MPL was not distributed with this file, You can
 * obtain one at https://mozilla.org/MPL/2.0/.
 */

package de.justjanne.libquassel.annotations

@Retention(AnnotationRetention.SOURCE)
annotation class RpcParam {
  @Retention(AnnotationRetention.SOURCE)
  annotation class Void
  @Retention(AnnotationRetention.SOURCE)
  annotation class Bool
  @Retention(AnnotationRetention.SOURCE)
  annotation class Char
  @Retention(AnnotationRetention.SOURCE)
  annotation class UChar
  @Retention(AnnotationRetention.SOURCE)
  annotation class Short
  @Retention(AnnotationRetention.SOURCE)
  annotation class UShort
  @Retention(AnnotationRetention.SOURCE)
  annotation class Int
  @Retention(AnnotationRetention.SOURCE)
  annotation class UInt
  @Retention(AnnotationRetention.SOURCE)
  annotation class Long
  @Retention(AnnotationRetention.SOURCE)
  annotation class ULong
  @Retention(AnnotationRetention.SOURCE)
  annotation class Float
  @Retention(AnnotationRetention.SOURCE)
  annotation class Double
  @Retention(AnnotationRetention.SOURCE)
  annotation class Uuid
  @Retention(AnnotationRetention.SOURCE)
  annotation class QDate
  @Retention(AnnotationRetention.SOURCE)
  annotation class QTime
  @Retention(AnnotationRetention.SOURCE)
  annotation class QDateTime
  @Retention(AnnotationRetention.SOURCE)
  annotation class QChar
  @Retention(AnnotationRetention.SOURCE)
  annotation class QString
  @Retention(AnnotationRetention.SOURCE)
  annotation class QStringList
  @Retention(AnnotationRetention.SOURCE)
  annotation class QByteArray
  @Retention(AnnotationRetention.SOURCE)
  annotation class QVariant
  @Retention(AnnotationRetention.SOURCE)
  annotation class QVariantMap
  @Retention(AnnotationRetention.SOURCE)
  annotation class QVariantList
  @Retention(AnnotationRetention.SOURCE)
  annotation class UserType(
    val name: String
  ) {
    @Retention(AnnotationRetention.SOURCE)
    annotation class BufferId
    @Retention(AnnotationRetention.SOURCE)
    annotation class BufferInfo
    @Retention(AnnotationRetention.SOURCE)
    annotation class DccConfigIpDetectionMode
    @Retention(AnnotationRetention.SOURCE)
    annotation class DccConfigPortSelectionMode
    @Retention(AnnotationRetention.SOURCE)
    annotation class IrcUser
    @Retention(AnnotationRetention.SOURCE)
    annotation class IrcChannel
    @Retention(AnnotationRetention.SOURCE)
    annotation class Identity
    @Retention(AnnotationRetention.SOURCE)
    annotation class IdentityId
    @Retention(AnnotationRetention.SOURCE)
    annotation class Message
    @Retention(AnnotationRetention.SOURCE)
    annotation class MsgId
    @Retention(AnnotationRetention.SOURCE)
    annotation class NetworkId
    @Retention(AnnotationRetention.SOURCE)
    annotation class NetworkInfo
    @Retention(AnnotationRetention.SOURCE)
    annotation class NetworkServer
    @Retention(AnnotationRetention.SOURCE)
    annotation class QHostAddress
    @Retention(AnnotationRetention.SOURCE)
    annotation class TransferDirection
    @Retention(AnnotationRetention.SOURCE)
    annotation class TransferIdList
    @Retention(AnnotationRetention.SOURCE)
    annotation class TransferStatus
    @Retention(AnnotationRetention.SOURCE)
    annotation class PeerPtr
  }
}
