/*
 * libquassel
 * Copyright (c) 2024 Janne Mareike Koschinski
 *
 * This Source Code Form is subject to the terms of the Mozilla Public License,
 * v. 2.0. If a copy of the MPL was not distributed with this file, You can
 * obtain one at https://mozilla.org/MPL/2.0/.
 */

package de.justjanne.libquassel.protocol.api.client

import de.justjanne.libquassel.annotations.ProtocolSide
import de.justjanne.libquassel.annotations.RpcApi
import de.justjanne.libquassel.annotations.RpcCall
import de.justjanne.libquassel.annotations.RpcParam
import de.justjanne.libquassel.protocol.api.ObjectName
import de.justjanne.libquassel.protocol.variant.QVariantMap
import java.nio.ByteBuffer

@RpcApi("CertManager", side = ProtocolSide.CORE)
interface CertManagerClientApi {
      @RpcCall("setSslCert")
  fun setSslCert(objectName: ObjectName, @RpcParam.QByteArray encoded: ByteBuffer)

      @RpcCall("setSslKey")
  fun setSslKey(objectName: ObjectName, @RpcParam.QByteArray encoded: ByteBuffer)

      @RpcCall("update")
  fun update(objectName: ObjectName, @RpcParam.QVariantMap properties: QVariantMap)
}
