/*
 * libquassel
 * Copyright (c) 2024 Janne Mareike Koschinski
 *
 * This Source Code Form is subject to the terms of the Mozilla Public License,
 * v. 2.0. If a copy of the MPL was not distributed with this file, You can
 * obtain one at https://mozilla.org/MPL/2.0/.
 */

package de.justjanne.libquassel.protocol.api.client

import de.justjanne.libquassel.annotations.ProtocolSide
import de.justjanne.libquassel.annotations.RpcApi
import de.justjanne.libquassel.annotations.RpcCall
import de.justjanne.libquassel.annotations.RpcParam
import de.justjanne.libquassel.protocol.variant.QVariantMap

@RpcApi("NetworkConfig", side = ProtocolSide.CORE)
interface NetworkConfigClientApi {
  @RpcCall("setAutoWhoDelay")
  fun setAutoWhoDelay(@RpcParam.Int delay: Int)

  @RpcCall("setAutoWhoEnabled")
  fun setAutoWhoEnabled(@RpcParam.Bool enabled: Boolean)

  @RpcCall("setAutoWhoInterval")
  fun setAutoWhoInterval(@RpcParam.Int interval: Int)

  @RpcCall("setAutoWhoNickLimit")
  fun setAutoWhoNickLimit(@RpcParam.Int limit: Int)

  @RpcCall("setMaxPingCount")
  fun setMaxPingCount(@RpcParam.Int count: Int)

  @RpcCall("setPingInterval")
  fun setPingInterval(@RpcParam.Int interval: Int)

  @RpcCall("setPingTimeoutEnabled")
  fun setPingTimeoutEnabled(@RpcParam.Bool enabled: Boolean)

  @RpcCall("setStandardCtcp")
  fun setStandardCtcp(@RpcParam.Bool enabled: Boolean)

  @RpcCall("update")
  fun update(@RpcParam.QVariantMap properties: QVariantMap)
}
