/*
 * libquassel
 * Copyright (c) 2024 Janne Mareike Koschinski
 *
 * This Source Code Form is subject to the terms of the Mozilla Public License,
 * v. 2.0. If a copy of the MPL was not distributed with this file, You can
 * obtain one at https://mozilla.org/MPL/2.0/.
 */

package de.justjanne.libquassel.protocol.api.server

import de.justjanne.libquassel.annotations.ProtocolSide
import de.justjanne.libquassel.annotations.RpcCall
import de.justjanne.libquassel.annotations.RpcApi
import de.justjanne.libquassel.annotations.RpcParam

@RpcApi("NetworkConfig", side = ProtocolSide.CLIENT)
interface NetworkConfigServerApi {
  @RpcCall("requestSetAutoWhoDelay")
  fun requestSetAutoWhoDelay(@RpcParam.Int delay: Int)

  @RpcCall("requestSetAutoWhoEnabled")
  fun requestSetAutoWhoEnabled(@RpcParam.Bool enabled: Boolean)

  @RpcCall("requestSetAutoWhoInterval")
  fun requestSetAutoWhoInterval(@RpcParam.Int interval: Int)

  @RpcCall("requestSetAutoWhoNickLimit")
  fun requestSetAutoWhoNickLimit(@RpcParam.Int limit: Int)

  @RpcCall("requestSetMaxPingCount")
  fun requestSetMaxPingCount(@RpcParam.Int count: Int)

  @RpcCall("requestSetPingInterval")
  fun requestSetPingInterval(@RpcParam.Int interval: Int)

  @RpcCall("requestSetPingTimeoutEnabled")
  fun requestSetPingTimeoutEnabled(@RpcParam.Bool enabled: Boolean)

  @RpcCall("requestSetStandardCtcp")
  fun requestSetStandardCtcp(@RpcParam.Bool enabled: Boolean)
}
