/*
 * libquassel
 * Copyright (c) 2024 Janne Mareike Koschinski
 *
 * This Source Code Form is subject to the terms of the Mozilla Public License,
 * v. 2.0. If a copy of the MPL was not distributed with this file, You can
 * obtain one at https://mozilla.org/MPL/2.0/.
 */

package de.justjanne.libquassel.backend

import de.justjanne.libquassel.protocol.api.client.BufferSyncerClientApi
import de.justjanne.libquassel.protocol.models.ids.BufferId
import de.justjanne.libquassel.protocol.models.ids.MsgId
import de.justjanne.libquassel.protocol.variant.QVariantMap
import javax.inject.Inject

class BufferSyncerPersister @Inject constructor() : BufferSyncerClientApi {
  override fun markBufferAsRead(buffer: BufferId)  = Unit
  override fun mergeBuffersPermanently(buffer: BufferId, buffer2: BufferId)  = Unit
  override fun removeBuffer(buffer: BufferId)  = Unit
  override fun renameBuffer(buffer: BufferId, newName: String)  = Unit
  override fun setMarkerLine(buffer: BufferId, msgId: MsgId)  = Unit
  override fun setLastSeenMsg(buffer: BufferId, msgId: MsgId)  = Unit
  override fun setBufferActivity(buffer: BufferId, types: Int)  = Unit
  override fun setHighlightCount(buffer: BufferId, count: Int)  = Unit
  override fun update(properties: QVariantMap)  = Unit
}
