/*
 * libquassel
 * Copyright (c) 2024 Janne Mareike Koschinski
 *
 * This Source Code Form is subject to the terms of the Mozilla Public License,
 * v. 2.0. If a copy of the MPL was not distributed with this file, You can
 * obtain one at https://mozilla.org/MPL/2.0/.
 */

package de.justjanne.libquassel.backend

import de.justjanne.libquassel.protocol.api.client.BufferViewConfigClientApi
import de.justjanne.libquassel.protocol.models.ids.BufferId
import de.justjanne.libquassel.protocol.models.ids.NetworkId
import de.justjanne.libquassel.protocol.variant.QVariantMap
import javax.inject.Inject

class BufferViewConfigPersister @Inject constructor(): BufferViewConfigClientApi {
  override fun addBuffer(buffer: BufferId, pos: Int)  = Unit
  override fun moveBuffer(buffer: BufferId, pos: Int)  = Unit
  override fun removeBuffer(buffer: BufferId)  = Unit
  override fun removeBufferPermanently(buffer: BufferId)  = Unit
  override fun setBufferViewName(value: String)  = Unit
  override fun setAddNewBuffersAutomatically(value: Boolean)  = Unit
  override fun setAllowedBufferTypes(value: Int)  = Unit
  override fun setDisableDecoration(value: Boolean)  = Unit
  override fun setHideInactiveBuffers(value: Boolean)  = Unit
  override fun setHideInactiveNetworks(value: Boolean)  = Unit
  override fun setMinimumActivity(value: Int)  = Unit
  override fun setNetworkId(value: NetworkId)  = Unit
  override fun setShowSearch(value: Boolean)  = Unit
  override fun setSortAlphabetically(value: Boolean)  = Unit
  override fun update(properties: QVariantMap)  = Unit
}
