/*
 * libquassel
 * Copyright (c) 2024 Janne Mareike Koschinski
 *
 * This Source Code Form is subject to the terms of the Mozilla Public License,
 * v. 2.0. If a copy of the MPL was not distributed with this file, You can
 * obtain one at https://mozilla.org/MPL/2.0/.
 */

package de.justjanne.libquassel.backend

import de.justjanne.libquassel.protocol.api.ObjectName
import de.justjanne.libquassel.protocol.api.client.IdentityClientApi
import de.justjanne.libquassel.protocol.models.QStringList
import de.justjanne.libquassel.protocol.models.ids.IdentityId
import de.justjanne.libquassel.protocol.variant.QVariantMap
import javax.inject.Inject

class IdentityPersister @Inject constructor(): IdentityClientApi {
  override fun setAutoAwayEnabled(objectName: ObjectName, enabled: Boolean)  = Unit 
  override fun setAutoAwayReason(objectName: ObjectName, reason: String?)  = Unit 
  override fun setAutoAwayReasonEnabled(objectName: ObjectName, enabled: Boolean)  = Unit 
  override fun setAutoAwayTime(objectName: ObjectName, time: Int)  = Unit 
  override fun setAwayNick(objectName: ObjectName, awayNick: String?)  = Unit 
  override fun setAwayNickEnabled(objectName: ObjectName, enabled: Boolean)  = Unit 
  override fun setAwayReason(objectName: ObjectName, awayReason: String?)  = Unit 
  override fun setAwayReasonEnabled(objectName: ObjectName, enabled: Boolean)  = Unit 
  override fun setDetachAwayEnabled(objectName: ObjectName, enabled: Boolean)  = Unit 
  override fun setDetachAwayReason(objectName: ObjectName, reason: String?)  = Unit 
  override fun setDetachAwayReasonEnabled(objectName: ObjectName, enabled: Boolean)  = Unit 
  override fun setId(objectName: ObjectName, id: IdentityId)  = Unit 
  override fun setIdent(objectName: ObjectName, ident: String?)  = Unit 
  override fun setIdentityName(objectName: ObjectName, name: String?)  = Unit 
  override fun setKickReason(objectName: ObjectName, reason: String?)  = Unit 
  override fun setNicks(objectName: ObjectName, nicks: QStringList)  = Unit 
  override fun setPartReason(objectName: ObjectName, reason: String?)  = Unit 
  override fun setQuitReason(objectName: ObjectName, reason: String?)  = Unit 
  override fun setRealName(objectName: ObjectName, realName: String?)  = Unit 
  override fun update(objectName: ObjectName, properties: QVariantMap)  = Unit
}
