/*
 * libquassel
 * Copyright (c) 2024 Janne Mareike Koschinski
 *
 * This Source Code Form is subject to the terms of the Mozilla Public License,
 * v. 2.0. If a copy of the MPL was not distributed with this file, You can
 * obtain one at https://mozilla.org/MPL/2.0/.
 */

package de.justjanne.libquassel.backend

import de.justjanne.libquassel.protocol.api.ObjectName
import de.justjanne.libquassel.protocol.api.client.IrcChannelClientApi
import de.justjanne.libquassel.protocol.models.QStringList
import de.justjanne.libquassel.protocol.variant.QVariantMap
import javax.inject.Inject

class  IrcChannelPersister @Inject constructor(): IrcChannelClientApi {
  override fun addChannelMode(objectName: ObjectName, mode: Char, value: String?)  = Unit 
  override fun addUserMode(objectName: ObjectName, nick: String, mode: String?)  = Unit 
  override fun joinIrcUsers(objectName: ObjectName, nicks: QStringList, modes: QStringList)  = Unit 
  override fun part(objectName: ObjectName, nick: String)  = Unit 
  override fun removeChannelMode(objectName: ObjectName, mode: Char, value: String?)  = Unit 
  override fun removeUserMode(objectName: ObjectName, nick: String, mode: String?)  = Unit 
  override fun setEncrypted(objectName: ObjectName, encrypted: Boolean)  = Unit 
  override fun setPassword(objectName: ObjectName, password: String)  = Unit 
  override fun setTopic(objectName: ObjectName, topic: String)  = Unit 
  override fun setUserModes(objectName: ObjectName, nick: String, modes: String?)  = Unit 
  override fun update(objectName: ObjectName, properties: QVariantMap)  = Unit
}
