/*
 * libquassel
 * Copyright (c) 2024 Janne Mareike Koschinski
 *
 * This Source Code Form is subject to the terms of the Mozilla Public License,
 * v. 2.0. If a copy of the MPL was not distributed with this file, You can
 * obtain one at https://mozilla.org/MPL/2.0/.
 */

package de.justjanne.libquassel.backend

import de.justjanne.libquassel.protocol.api.ObjectName
import de.justjanne.libquassel.protocol.api.client.IrcUserClientApi
import de.justjanne.libquassel.protocol.variant.QVariantMap
import org.threeten.bp.temporal.Temporal
import javax.inject.Inject

class IrcUserPersister @Inject constructor(): IrcUserClientApi {
  override fun addUserModes(objectName: ObjectName, modes: String)  = Unit 
  override fun joinChannel(objectName: ObjectName, channelname: String)  = Unit 
  override fun partChannel(objectName: ObjectName, channelname: String)  = Unit 
  override fun quit(objectName: ObjectName)  = Unit 
  override fun removeUserModes(objectName: ObjectName, modes: String)  = Unit 
  override fun setAccount(objectName: ObjectName, account: String)  = Unit 
  override fun setAway(objectName: ObjectName, away: Boolean)  = Unit 
  override fun setAwayMessage(objectName: ObjectName, awayMessage: String)  = Unit 
  override fun setEncrypted(objectName: ObjectName, encrypted: Boolean)  = Unit 
  override fun setHost(objectName: ObjectName, host: String)  = Unit 
  override fun setIdleTime(objectName: ObjectName, idleTime: Temporal)  = Unit 
  override fun setIrcOperator(objectName: ObjectName, ircOperator: String)  = Unit 
  override fun setLastAwayMessage(objectName: ObjectName, lastAwayMessage: Int)  = Unit 
  override fun setLastAwayMessageTime(objectName: ObjectName, lastAwayMessageTime: Temporal)  = Unit 
  override fun setLoginTime(objectName: ObjectName, loginTime: Temporal)  = Unit 
  override fun setNick(objectName: ObjectName, newNick: String)  = Unit 
  override fun setRealName(objectName: ObjectName, realName: String)  = Unit 
  override fun setServer(objectName: ObjectName, server: String)  = Unit 
  override fun setSuserHost(objectName: ObjectName, suserHost: String)  = Unit 
  override fun setUser(objectName: ObjectName, user: String)  = Unit 
  override fun setUserModes(objectName: ObjectName, modes: String)  = Unit 
  override fun setWhoisServiceReply(objectName: ObjectName, whoisServiceReply: String)  = Unit 
  override fun updateHostmask(objectName: ObjectName, mask: String)  = Unit 
  override fun update(objectName: ObjectName, properties: QVariantMap)  = Unit
}
