/*
 * libquassel
 * Copyright (c) 2024 Janne Mareike Koschinski
 *
 * This Source Code Form is subject to the terms of the Mozilla Public License,
 * v. 2.0. If a copy of the MPL was not distributed with this file, You can
 * obtain one at https://mozilla.org/MPL/2.0/.
 */

package de.justjanne.libquassel.backend

import de.justjanne.libquassel.protocol.api.ObjectName
import de.justjanne.libquassel.protocol.api.client.NetworkClientApi
import de.justjanne.libquassel.protocol.models.QStringList
import de.justjanne.libquassel.protocol.models.ids.IdentityId
import de.justjanne.libquassel.protocol.variant.QVariantList
import de.justjanne.libquassel.protocol.variant.QVariantMap
import java.nio.ByteBuffer
import javax.inject.Inject

class NetworkPersister @Inject constructor(): NetworkClientApi {
  override fun setNetworkName(objectName: ObjectName, networkName: String)  = Unit 
  override fun setCurrentServer(objectName: ObjectName, currentServer: String?)  = Unit 
  override fun setMyNick(objectName: ObjectName, myNick: String?)  = Unit 
  override fun setLatency(objectName: ObjectName, latency: Int)  = Unit 
  override fun setCodecForServer(objectName: ObjectName, codecForServer: ByteBuffer)  = Unit 
  override fun setCodecForEncoding(objectName: ObjectName, codecForEncoding: ByteBuffer)  = Unit 
  override fun setCodecForDecoding(objectName: ObjectName, codecForDecoding: ByteBuffer)  = Unit 
  override fun setIdentity(objectName: ObjectName, identityId: IdentityId)  = Unit 
  override fun setConnected(objectName: ObjectName, isConnected: Boolean)  = Unit 
  override fun setConnectionState(objectName: ObjectName, connectionState: Int)  = Unit 
  override fun setUseRandomServer(objectName: ObjectName, useRandomServer: Boolean)  = Unit 
  override fun setPerform(objectName: ObjectName, perform: QStringList)  = Unit 
  override fun setSkipCaps(objectName: ObjectName, skipCaps: QStringList)  = Unit 
  override fun setUseAutoIdentify(objectName: ObjectName, useAutoIdentify: Boolean)  = Unit 
  override fun setAutoIdentifyService(objectName: ObjectName, autoIdentifyService: String)  = Unit 
  override fun setAutoIdentifyPassword(objectName: ObjectName, autoIdentifyPassword: String)  = Unit 
  override fun setUseSasl(objectName: ObjectName, useSasl: Boolean)  = Unit 
  override fun setSaslAccount(objectName: ObjectName, saslAccount: String)  = Unit 
  override fun setSaslPassword(objectName: ObjectName, saslPassword: String)  = Unit 
  override fun setUseAutoReconnect(objectName: ObjectName, useAutoReconnect: Boolean)  = Unit 
  override fun setAutoReconnectInterval(objectName: ObjectName, autoReconnectInterval: UInt)  = Unit 
  override fun setAutoReconnectRetries(objectName: ObjectName, autoReconnectRetries: UShort)  = Unit 
  override fun setUnlimitedReconnectRetries(objectName: ObjectName, unlimitedReconnectRetries: Boolean)  = Unit 
  override fun setRejoinChannels(objectName: ObjectName, rejoinChannels: Boolean)  = Unit 
  override fun setUseCustomMessageRate(objectName: ObjectName, useCustomMessageRate: Boolean)  = Unit 
  override fun setMessageRateBurstSize(objectName: ObjectName, messageRateBurstSize: UInt)  = Unit 
  override fun setMessageRateDelay(objectName: ObjectName, messageRateDelay: UInt)  = Unit 
  override fun setUnlimitedMessageRate(objectName: ObjectName, unlimitedMessageRate: Boolean)  = Unit 
  override fun setServerList(objectName: ObjectName, serverList: QVariantList)  = Unit 
  override fun addSupport(objectName: ObjectName, param: String, value: String)  = Unit 
  override fun removeSupport(objectName: ObjectName, param: String)  = Unit 
  override fun addCap(objectName: ObjectName, capability: String, value: String)  = Unit 
  override fun acknowledgeCap(objectName: ObjectName, capability: String)  = Unit 
  override fun removeCap(objectName: ObjectName, capability: String)  = Unit 
  override fun clearCaps(objectName: ObjectName)  = Unit 
  override fun addIrcUser(objectName: ObjectName, hostmask: String)  = Unit 
  override fun addIrcChannel(objectName: ObjectName, channel: String)  = Unit 
  override fun update(objectName: ObjectName, properties: QVariantMap)  = Unit
}
