/*
 * libquassel
 * Copyright (c) 2024 Janne Mareike Koschinski
 *
 * This Source Code Form is subject to the terms of the Mozilla Public License,
 * v. 2.0. If a copy of the MPL was not distributed with this file, You can
 * obtain one at https://mozilla.org/MPL/2.0/.
 */

package de.justjanne.libquassel.backend

import de.justjanne.libquassel.protocol.api.client.RpcClientApi
import de.justjanne.libquassel.protocol.models.BufferInfo
import de.justjanne.libquassel.protocol.models.Message
import de.justjanne.libquassel.protocol.models.ids.IdentityId
import de.justjanne.libquassel.protocol.models.ids.NetworkId
import de.justjanne.libquassel.protocol.variant.QVariantMap
import java.nio.ByteBuffer
import javax.inject.Inject

class RpcPersister @Inject constructor(): RpcClientApi {
  override fun objectRenamed(classname: ByteBuffer, newName: String?, oldName: String?)  = Unit 
  override fun displayMsg(message: Message)  = Unit 
  override fun displayStatusMsg(net: String?, msg: String?)  = Unit 
  override fun bufferInfoUpdated(bufferInfo: BufferInfo)  = Unit 
  override fun identityCreated(identity: QVariantMap)  = Unit 
  override fun identityRemoved(identityId: IdentityId)  = Unit 
  override fun networkCreated(networkId: NetworkId)  = Unit 
  override fun networkRemoved(networkId: NetworkId)  = Unit 
  override fun passwordChanged(peer: ULong, success: Boolean)  = Unit 
  override fun disconnectFromCore()  = Unit
}
